Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Enum RulerUnits

    java.lang.Object
      java.lang.Enum<RulerUnits>
          org.eclipse.gmf.codegen.gmfgen.RulerUnits

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RulerUnits>, org.eclipse.emf.common.util.Enumerator

    public enum RulerUnits

extends java.lang.Enum<RulerUnits>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Ruler Units', and utility methods for working with them.

See Also:
  `GMFGenPackage.getRulerUnits()`
** Generated **
Model:

Enum Constant Summary
`CENTIMETERS_LITERAL` The 'CENTIMETERS' literal object
`INCHES_LITERAL` The 'INCHES' literal object
`PIXELS_LITERAL` The 'PIXELS' literal object

Field Summary
`static int` `CENTIMETERS` The 'CENTIMETERS' literal value
`static int` `INCHES` The 'INCHES' literal value
`static int` `PIXELS` The 'PIXELS' literal value
`static java.util.List<RulerUnits>` `VALUES` A public read-only list of all the 'Ruler Units' enumerators

Method Summary
`static RulerUnits` `get(int value)` Returns the 'Ruler Units' literal with the specified integer value
`static RulerUnits` `get(java.lang.String literal)` Returns the 'Ruler Units' literal with the specified literal value
`static RulerUnits` `getByName(java.lang.String name)` Returns the 'Ruler Units' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static RulerUnits` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RulerUnits[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INCHES_LITERAL

    public static final RulerUnits INCHES_LITERAL

  The 'INCHES' literal object.

  See Also:
    `INCHES`
  ** Generated **
  Ordered:

### CENTIMETERS_LITERAL

    public static final RulerUnits CENTIMETERS_LITERAL

  The 'CENTIMETERS' literal object.

  See Also:
    `CENTIMETERS`
  ** Generated **
  Ordered:

### PIXELS_LITERAL

    public static final RulerUnits PIXELS_LITERAL

  The 'PIXELS' literal object.

  See Also:
    `PIXELS`
  ** Generated **
  Ordered:

Field Detail

### INCHES

    public static final int INCHES

  The 'INCHES' literal value.

  If the meaning of 'Inches' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INCHES_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### CENTIMETERS

    public static final int CENTIMETERS

  The 'CENTIMETERS' literal value.

  If the meaning of 'Centimeters' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CENTIMETERS_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### PIXELS

    public static final int PIXELS

  The 'PIXELS' literal value.

  If the meaning of 'Pixels' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PIXELS_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### VALUES

    public static final java.util.List<RulerUnits> VALUES

  A public read-only list of all the 'Ruler Units' enumerators.

  ** Generated **

Method Detail

### values

    public static final RulerUnits[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(RulerUnits c : RulerUnits.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static RulerUnits valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static RulerUnits get(java.lang.String literal)

  Returns the 'Ruler Units' literal with the specified literal value.

  ** Generated **

### getByName

    public static RulerUnits getByName(java.lang.String name)

  Returns the 'Ruler Units' literal with the specified name.

  ** Generated **

### get

    public static RulerUnits get(int value)

  Returns the 'Ruler Units' literal with the specified integer value.

  ** Generated **

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<RulerUnits>`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.